Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.domain.valuerange
Class ValueRangeFactory

    java.lang.Object
      org.optaplanner.core.api.domain.valuerange.ValueRangeFactory

    public class ValueRangeFactory

extends Object

Factory for `ValueRange`.

Constructor Summary
`ValueRangeFactory()`

Method Summary
`static CountableValueRange<BigDecimal>` | `createBigDecimalValueRange(BigDecimal from, BigDecimal to)` All parameters must have the same `BigDecimal.scale()`.
`static CountableValueRange<BigDecimal>` | `createBigDecimalValueRange(BigDecimal from, BigDecimal to, BigDecimal incrementUnit)` All parameters must have the same `BigDecimal.scale()`.
`static ValueRange<Double>` | `createDoubleValueRange(double from, double to)`
`static CountableValueRange<Integer>` | `createIntValueRange(int from, int to)`
`static CountableValueRange<Integer>` | `createIntValueRange(int from, int to, int incrementUnit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueRangeFactory

    public ValueRangeFactory()

Method Detail

### createIntValueRange

    public static CountableValueRange<Integer> createIntValueRange(int from,
                                                                   int to)

  Parameters:
    `from` - inclusive minimum
    `to` - exclusive maximum, >= `from`
  Returns:
    never null

### createIntValueRange

    public static CountableValueRange<Integer> createIntValueRange(int from,
                                                                   int to,
                                                                   int incrementUnit)

  Parameters:
    `from` - inclusive minimum
    `to` - exclusive maximum, >= `from`
    `incrementUnit` - > 0
  Returns:
    never null

### createBigDecimalValueRange

    public static CountableValueRange<BigDecimal> createBigDecimalValueRange(BigDecimal from,
                                                                             BigDecimal to)

  All parameters must have the same `BigDecimal.scale()`.

  Parameters:
    `from` - inclusive minimum
    `to` - exclusive maximum, >= `from`

### createBigDecimalValueRange

    public static CountableValueRange<BigDecimal> createBigDecimalValueRange(BigDecimal from,
                                                                             BigDecimal to,
                                                                             BigDecimal incrementUnit)

  All parameters must have the same `BigDecimal.scale()`.

  Parameters:
    `from` - inclusive minimum
    `to` - exclusive maximum, >= `from`
    `incrementUnit` - > 0

### createDoubleValueRange

    public static ValueRange<Double> createDoubleValueRange(double from,
                                                            double to)

  Parameters:
    `from` - inclusive minimum
    `to` - exclusive maximum, >= `from`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.